CVE-2018-20534

NameCVE-2018-20534
Description** DISPUTED ** There is an illegal address access at ext/testcase.c in libsolv.a in libsolv through 0.7.2 that will cause a denial of service. NOTE: third parties dispute this issue stating that the issue affects the test suite and not the underlying library. It cannot be exploited in any real-world application.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs923002

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libsolv (PTS)jessie0.6.5-1vulnerable
stretch0.6.24-1+deb9u1vulnerable
buster, bullseye, sid0.6.35-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libsolvsource(unstable)(unfixed)unimportant923002

Notes

https://bugzilla.redhat.com/show_bug.cgi?id=1652604
https://github.com/openSUSE/libsolv/pull/291
https://github.com/openSUSE/libsolv/commit/4830af9d979d3685de538b80fbeba51ad590525e
Only affects the test suite

Search for package or bug name: Reporting problems